# Uses of Enum Class
javax.validation.executable.ExecutableType

Packages that use ExecutableType
Package
Description
javax.validation
javax.validation.executable

## Uses of ExecutableType in javax.validation

Methods in javax.validation that return types with arguments of type ExecutableType
Modifier and Type
Method
Description
`Set<ExecutableType>`
BootstrapConfiguration.`getDefaultValidatedExecutableTypes()`

## Uses of ExecutableType in javax.validation.executable

Methods in javax.validation.executable that return ExecutableType
Modifier and Type
Method
Description
`static ExecutableType`
ExecutableType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExecutableType[]`
ExecutableType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.